<?php

namespace Modules\Gallery\Services;

use Illuminate\Http\Request;
use Modules\Gallery\Interfaces\GalleryRepositoryInterface;
use Modules\Gallery\Models\Gallery;

class GalleryService
{
    private GalleryRepositoryInterface $galleryRepository ;

    public function __construct(GalleryRepositoryInterface $galleryRepository)
    {
        $this->galleryRepository = $galleryRepository;
    }

    public function get(Request $request)
    {
        $galleries = $this->galleryRepository->get($request);
        return $galleries;
    }
    
    public function save(Request $request)
    {
        $this->galleryRepository->save($request);
    }
    
}
